Fixing test scripts.
diff --git a/tools/build/onos-build b/tools/build/onos-build
new file mode 100755
index 0000000..decf892
--- /dev/null
+++ b/tools/build/onos-build
@@ -0,0 +1,10 @@
+#!/bin/bash
+#-------------------------------------------------------------------------------
+# Builds the ONOS from source.
+#-------------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+cd $ONOS_ROOT
+mvn clean install && mvn javadoc:aggregate
\ No newline at end of file
diff --git a/tools/build/onos-package b/tools/build/onos-package
index 03ebce6..d11e183 100755
--- a/tools/build/onos-package
+++ b/tools/build/onos-package
@@ -51,7 +51,7 @@
     $ONOS_STAGE/$KARAF_DIST/etc/org.apache.karaf.features.cfg 
 
 # Patch the Apache Karaf distribution file to load ONOS features
-perl -pi.old -e 's|^(featuresBoot=.*)|\1,onos-api,onos-core,onos-cli,onos-rest,onos-gui,onos-openflow,onos-app-tvue,onos-app-fwd|' \
+perl -pi.old -e 's|^(featuresBoot=.*)|\1,onos-api,onos-core-trivial,onos-cli,onos-rest,onos-gui,onos-openflow,onos-app-tvue,onos-app-fwd|' \
     $ONOS_STAGE/$KARAF_DIST/etc/org.apache.karaf.features.cfg
 
 # Patch the Apache Karaf distribution with ONOS branding bundle
diff --git a/tools/test/bin/onos-test b/tools/build/onos-test
similarity index 100%
rename from tools/test/bin/onos-test
rename to tools/build/onos-test
diff --git a/tools/dev/bash_profile b/tools/dev/bash_profile
index d5d11bd..821ee43 100644
--- a/tools/dev/bash_profile
+++ b/tools/dev/bash_profile
@@ -28,8 +28,9 @@
 # Short-hand for 'mvn clean install' for us lazy folk
 alias mci='mvn clean install'
 
-# Short-hand for ONOS build from the top of the source tree.
-alias ob='o && mvn clean install javadoc:aggregate'
+# Short-hand for ONOS build, package and test.
+alias ob='onos-build'
+alias op='onos-package'
 alias ot='onos-test'
 
 # Short-hand for tailing the ONOS (karaf) log 
diff --git a/tools/test/bin/onos-check-logs b/tools/test/bin/onos-check-logs
new file mode 100755
index 0000000..19091ec
--- /dev/null
+++ b/tools/test/bin/onos-check-logs
@@ -0,0 +1,13 @@
+#!/bin/bash
+#-------------------------------------------------------------------------------
+# Checks the logs of the remote ONOS instance and makes sure they are clean.
+#-------------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+remote=$ONOS_USER@${1:-$OCI}
+
+LOG=$ONOS_INSTALL_DIR/log/karaf.log
+
+ssh $remote "egrep 'ERROR|Exception' $LOG"